Get billing cycle options for a specific VPS

View available billing cycles (monthly, yearly) for a specific virtual server (VPS). You can also retrieve a product ID needed to call POST /api/create-order.

VPS Services VM

Context

Where to get IDs / values

Workflow links

Produces

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.accountId string required · Example: 20000
data.current string required · Example: m
data.currentName string required · Example: Monthly
data.cycles array<object> required · Example: [{"id":"m","name":"Monthly","price":"39.00","isCurrent":true,"billingCycle":"Monthly"},...
data.cycles[].billingCycle string · enum required · Example: Monthly
Annually
Monthly
data.cycles[].id string required · Example: m
data.cycles[].isCurrent boolean required · Example: true
data.cycles[].name string required · Example: Monthly
data.cycles[].price string · enum required · Example: 39.00
2880.00
300.00
374.00
39.00
5760.00
600.00
data.productId string required · Example: 3036
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

401
code string required · Example: UNAUTHORIZED

Machine-readable error code.

error string required · Example: Unauthorized

HTTP status title (e.g. 'Bad Request').

message string required · Example: Authentication required

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/vm/{vmid}/billing-cycle
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/vm/10000/billing-cycle" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "current": "m",
    "currentName": "Monthly",
    "cycles": [
      {
        "id": "m",
        "name": "Monthly",
        "price": "39.00",
        "isCurrent": true,
        "billingCycle": "Monthly"
      },
      {
        "id": "a",
        "name": "Annually",
        "price": "374.00",
        "isCurrent": false,
        "billingCycle": "Annually"
      }
    ],
    "productId": "3036",
    "accountId": "20000"
  }
}